/************************************************************
* $Id: classifier.c,v 1.1 2009/08/10 19:59:30 mechanoid Exp $
*       
*  ART1 neural net 
*
*       OS : FreeBSD 7.2
* COMPILER : GNU project C and C++ Compiler  v. 4.2.1
*
*   AUTHOR : Evgeny S. Borisov
*
*  Glushkov Institute of Cybernetics
*  National Academy of Sciences of Ukraine
* 
*    http://www.mechanoid.kiev.ua
*  e-mail : nn@mechanoid.kiev.ua
* 
************************************************************/
#include <gdk/gdk.h>
#include <stdio.h>
#include <string.h>
#include "nnet.h"
#include "nfiles.h"

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
void print_usage(char prog[]){
   fprintf(stderr,"usage:\n   %s -m <memory.dat> <file.bmp>\n",prog);
}


/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
int main(int argc, char *argv[]) { 
   if(argc!=4) { print_usage(argv[0]); return 1; }

   gdk_init(&argc, &argv);
   
   if(memcmp(argv[1],"-m",2)) { print_usage(argv[0]); return 2; }

   init_nnet();

   if(nnet_memory_load(argv[2])) { return 3; }
   if(input_load(argv[3])) { return 4; }
   step();
   if(nnet_memory_save(argv[2])) { return 4; }
     
   return 0; 
}
