/************************************************************
* $Id: nnet.h,v 1.8 2009/08/10 19:59:30 mechanoid Exp $
*       
*  ART1 neural net 
*
*       OS : FreeBSD 7.2
* COMPILER : GNU project C and C++ Compiler  v. 4.2.1
*
*   AUTHOR : Evgeny S. Borisov
*
*  Glushkov Institute of Cybernetics
*  National Academy of Sciences of Ukraine
* 
*    http://www.mechanoid.kiev.ua
*  e-mail : nn@mechanoid.kiev.ua
* 
************************************************************/
#ifndef NNET_H
#define NNET_H

#include "nfiles.h"

/* activation function parameters */
#define LO  0
#define HI  1

/* net size */
#define SIZE_LAYER_1 (IMG_HEIGHT*IMG_ROWS)
#define SIZE_LAYER_2 10

typedef double weight_t;
typedef char   data_t;

typedef struct {
   char reserved;
   char was_winner;
   weight_t state;
   data_t out;
} layer_2_t;

extern data_t    layer_0[SIZE_LAYER_1];  
extern layer_2_t layer_2[SIZE_LAYER_2];
extern weight_t weight_layer_1[SIZE_LAYER_2][SIZE_LAYER_1]; 
extern weight_t weight_layer_2[SIZE_LAYER_1][SIZE_LAYER_2];


void init_nnet();
int step();


#endif
