#!/bin/sh

# $Id: run.sh,v 1.2 2009/08/11 15:00:01 mechanoid Exp $
#
#   AUTHOR : Evgeny S. Borisov
#
#  Glushkov Institute of Cybernetics
#  National Academy of Sciences of Ukraine
# 
#    http://www.mechanoid.kiev.ua
#  e-mail : nn@mechanoid.kiev.ua

REPORT_FILE='REPORT.html'
MEMORY_FILE='data/memory.dat'


HTML_HEADER='<html>
<head>
<style>
table.main { width=100%; background-color: #ffffff; border: 0px solid #000000; }
tr.main { background-color: #ffffff; border: 0px solid #000000; }
td.main { background-color: #ffffff; border: 0px solid #000000; }
table { border-spacing: 5px; border: 1px solid #000000; }
tr { font-family:verdana,tahoma,arial; font-size:12px; color:#606060; background-color: #ffffff; border: 1px dashed #000000; }
td {  text-align:center; font-family:verdana,tahoma,arial; font-size:12px; color:#606060; background-color: #ffffff; border: 1px dashed #000000; }
font.old  { font-size:14px; color:#0000f0; }
font.new1 { font-size:14px; color:#00c000; }
font.new2 { font-size:14px; color:#f00000; }
</style>
</head>
<body>
<table width=100% class=main><tr class=main><td class=main>'

HTML_TABLE_HEADER='<table><tr><th>&nbsp;image&nbsp;</th><th>&nbsp;type&nbsp;</th><th>&nbsp;cluster&nbsp;</th></tr>'
HTML_ROW_START='<tr><td><img src="'
HTML_TYPE='"></td><td>&nbsp;<font class='
HTML_CLASTER='</font>&nbsp;</td><td>'
HTML_ROW_END='</td></tr>'
HTML_TABLE_FOOTER='</table>'
HTML_MAIN_TABLE_SEPARATOR='</td><td class=main>'
HTML_FOOTER='</td></tr></table></body></html>'

# -------------------------------------------------

proc() {
   echo $HTML_TABLE_HEADER >> $REPORT_FILE

   for f in $1/*.bmp
   do
      echo $f

	  res=`./classifier -m $MEMORY_FILE $f`
	  
	  new=`echo $res | grep 'new'`
	  ovr=`echo $res | grep 'free'`
	  num=`echo $res | sed 's/.*cluster //g'`

	  echo $HTML_ROW_START >> $REPORT_FILE
	  echo $f >> $REPORT_FILE
	  echo $HTML_TYPE >> $REPORT_FILE
	  
	  if ! [ -z "$ovr" ] 
	  then
		 echo 'new2>new' $HTML_CLASTER 'all busy' >> $REPORT_FILE
	  else
		 if ! [ -z "$new" ] 
		 then
			echo 'new1>new' >> $REPORT_FILE
		 else
			echo 'old>old' >> $REPORT_FILE
		 fi
		 echo $HTML_CLASTER $num >> $REPORT_FILE

	  fi

	  echo $HTML_ROW_END >> $REPORT_FILE
   done
   echo $HTML_TABLE_FOOTER >> $REPORT_FILE
}

# -------------------------------------------------



rm -f $MEMORY_FILE

echo $HTML_HEADER > $REPORT_FILE

proc 'data/ideal'
echo $HTML_MAIN_TABLE_SEPARATOR >> $REPORT_FILE
proc 'data/ideal'
echo $HTML_MAIN_TABLE_SEPARATOR >> $REPORT_FILE
proc 'data/test'

echo $HTML_FOOTER >> $REPORT_FILE

